Clara-Backend
  1. Auth
Clara-Backend
  • Clara-Backend
    • Get Started
    • Quickstart (Rest API)
    • Quickstart (MCP Server)
    • Auth
      • Register
      • Google OAuth
      • Login
      • Logout
      • Change Password
      • Send OTP
      • Activate
      • Enable 2FA
      • Disable 2FA
    • User
      • View
      • Update
    • API Key
      • View
      • Reset
    • Transaction
      • View All
      • View
    • Task
      • View All
      • View
    • Agent
      • Supported Attachments
      • Analysis
    • Stripe
      • Rate
      • Portal
      • Buy
    • Misc
      • Health
      • Version
  • Flask Backend Boilerplate
    • Get Started
    • Quickstart
    • Auth
      • Register
        POST
      • Google OAuth
        POST
      • Login
        POST
      • Logout
        DELETE
      • Change Password
        PATCH
      • Send OTP
        POST
      • Activate
        POST
      • Enable 2FA
        POST
      • Disable 2FA
        DELETE
    • User
      • View
      • Update
    • Transaction
      • View All
      • View
    • Stripe
      • Rate
      • Portal
      • Buy
    • Misc
      • Health
      • Version
  1. Auth

Activate

Prod Env
Prod Env
POST
/users/{user_email}/activate
This endpoint lets a user activate their account on Clara. Code can be generated using the Send OTP endpoint.

Request

Authorization
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Path Params

Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

🟠400Bad Request
🟠401Unauthorized
🟠404Resource Not Found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location -g --request POST '/users/hello@crazi.co/activate' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "code": "245522"
}'
Response Response Example
200 - Success
{
  "data": {
    "created_at": "Thu, 27 Nov 2025 00:10:11 GMT",
    "credits": 0.0,
    "email": "hello@crazi.co",
    "first_name": "Vibhanshu",
    "id": "user_5e5ce11ad8ed4a328df03ffd19fa80ec",
    "is_2fa_enabled": false,
    "is_active": true,
    "is_dark_mode": true,
    "last_name": "Rathod",
    "updated_at": "Thu, 27 Nov 2025 00:10:11 GMT"
  },
  "message": "User activated successfully.",
  "status": "success"
}
Modified at 2025-12-10 10:18:35
Previous
Send OTP
Next
Enable 2FA
Built with